Open CASCADE Technology: TDataStd_DeltaOnModificationOfIntPackedMap Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
TDataStd_DeltaOnModificationOfIntPackedMap Class Reference

This class provides default services for an AttributeDelta on a MODIFICATION action. More...

`#include <TDataStd_DeltaOnModificationOfIntPackedMap.hxx>`

Inheritance diagram for TDataStd_DeltaOnModificationOfIntPackedMap:
[legend]

## Public Member Functions
| TDataStd_DeltaOnModificationOfIntPackedMap (const Handle< TDataStd_IntPackedMap > &Arr)
| Initializes a TDF_DeltaOnModification. More...
virtual void | Apply ()
| Applies the delta to the attribute. More...
Public Member Functions inherited from TDF_AttributeDelta
TDF_Label | Label () const
| Returns the label concerned by <me>. More...
Handle< TDF_Attribute > | Attribute () const
| Returns the reference attribute. More...
Standard_GUID | ID () const
| Returns the ID of the attribute concerned by <me>. More...
virtual Standard_OStream & | Dump (Standard_OStream &OS) const
| Dumps the contents. More...
Standard_OStream & | operator<< (Standard_OStream &OS) const
Public Member Functions inherited from MMgt_TShared
virtual void | Delete () const
| Memory deallocator for transient classes. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Additional Inherited Members
Protected Member Functions inherited from TDF_DeltaOnModification
| TDF_DeltaOnModification (const Handle< TDF_Attribute > &anAttribute)
| Initializes a TDF_DeltaOnModification. More...
Protected Member Functions inherited from TDF_AttributeDelta
| TDF_AttributeDelta (const Handle< TDF_Attribute > &anAttribute)

## Detailed Description

This class provides default services for an AttributeDelta on a MODIFICATION action.

## Constructor & Destructor Documentation

TDataStd_DeltaOnModificationOfIntPackedMap::TDataStd_DeltaOnModificationOfIntPackedMap | ( | const Handle< TDataStd_IntPackedMap > & | Arr | ) |

Initializes a TDF_DeltaOnModification.

## Member Function Documentation

virtual void TDataStd_DeltaOnModificationOfIntPackedMap::Apply | ( |  | ) |
| virtual

Applies the delta to the attribute.

Reimplemented from TDF_DeltaOnModification.

The documentation for this class was generated from the following file:

- TDataStd_DeltaOnModificationOfIntPackedMap.hxx